Page 1 of 2

Can't update to latest version of WordPress, PHP version isn't current?

Posted: Tue Oct 15, 2019 11:55 am
by dwhittaker
I tried updating to the latest v. of WP today and got the following message:

Image


The weird thing is that I logged into phpMyAdmin and found no reference to PHP version 5.3.29. In fact, it clearly says it's running PHP Version 7.1.30:

Image

I'm at a loss on what to do about this. Why would WordPress claim I'm running PHP v. 5.3.29?

Re: Can't update to latest version of WordPress, PHP version isn't current?

Posted: Tue Oct 15, 2019 12:27 pm
by joemuller
Hi,

In short, the PHP version listed in phpMyAdmin is not the same because it's not running on the same servers that are used for our Personal/Value/Basic Hosting customers. The latest available version for your site is going to be 5.6.34, which you can use by making sure the .htaccess file in your site's hosting directory has the following:

Code: Select all

AddHandler php-cgi .php
Action php-cgi /cgi-bin/php56


I've gone ahead and made the change for you in this case, so you should now be able to run the update from within the Wordpress admin panel and not get the PHP error.

-- Joe

Re: Can't update to latest version of WordPress, PHP version isn't current?

Posted: Tue Oct 15, 2019 2:53 pm
by ankh

Re: Can't update to latest version of WordPress, PHP version isn't current?

Posted: Wed Oct 16, 2019 7:23 am
by dwhittaker
Fantastic. Thank you Joe. Working fine now. And thanks for the info about PHP versions.

Cheers!

Re: Can't update to latest version of WordPress, PHP version isn't current?

Posted: Wed Oct 23, 2019 3:28 pm
by randy_apinc
Although Wordpress says I have updated to most current - it also says..

! PHP Update Required
WordPress has detected that your site is running on an insecure version of PHP.

However, nothing has indicated what version I need to be updated to, just that 7.3 is the latest "currently 7.3"

Re: Can't update to latest version of WordPress, PHP version isn't current?

Posted: Wed Oct 30, 2019 11:59 am
by joemuller
@randy_apinc: we're working on getting PHP 7 available for hosting customers - keep an eye on the Hosting section in the forums here for updates.

Re: Can't update to latest version of WordPress, PHP version isn't current?

Posted: Mon Dec 02, 2019 4:45 pm
by mollyf
Any news?

Re: Can't update to latest version of WordPress, PHP version isn't current?

Posted: Fri Dec 06, 2019 11:37 am
by tikvah
When will this be automatic? I have I think 6 sites running Wordpress at Sonic.net and there is no way in hell I'm going to figure out how to get to the shell (can't telnet anymore and haven't done that for years anyway) and upgrade .htaccess files for every single site. AND repeat the process every few months when there's a new PHP out.

Re: Can't update to latest version of WordPress, PHP version isn't current?

Posted: Fri Dec 06, 2019 12:09 pm
by ankh
When will this be automatic?


Yes please! Your customers are getting older, even if your Support folks remain young and flexible.

Re: Can't update to latest version of WordPress, PHP version isn't current?

Posted: Fri Dec 06, 2019 12:12 pm
by mollyf
I don't even care if it's automatic, I am getting old waiting for a current version of PHP.